@import './utils/fonts'
@import './utils/vars'
@import './utils/libs'
@import './utils/mixins'

*,
*::before,
*::after
  box-sizing: border-box

*::-webkit-input-placeholder
  color: #666
  opacity: 1

*:-moz-placeholder
  color: #666
  opacity: 1

*::-moz-placeholder
  color: #666
  opacity: 1

*:-ms-input-placeholder
  color: #666
  opacity: 1

//rem markup
//html - default font-size: 100% - 16px
//html - font-size: 62.5% - 10px
//div - default font-size: 2rem - 20px
//div - default font-size: .1rem - 1px

html
  height: 100%
  font-size: 100%
  line-height: 1.3

h1, h2, h3, h4, h5, h6
  margin: 0
  font-weight: normal

p
  margin: 0

a
  text-decoration: none
  -webkit-tap-highlight-color: transparent
  color: #000

img
  display: block

address
  font-style: normal

audio,
canvas,
iframe,
img,
svg,
video
  vertical-align: middle

textarea
  resize: none

select::-ms-expand
  display: none

label,
button,
input,
select
  cursor: pointer

input,
select,
textarea,
button
  appearance: none
  outline: 0
  border-radius: 0
  background-clip: padding-box
  border: 1px solid #666
  padding: 0

ul, ol, li
  padding: 0
  margin: 0
  list-style: none

::selection
  background: #b3d4fc
  text-shadow: none
  color: #000

body
  text-rendering: optimizeSpeed
  scroll-behavior: smooth
  height: 100%
  position: relative
  text-size-adjust: none
  -webkit-font-smoothing: antialiased
  -moz-osx-font-smoothing: grayscale
  font-family: $IR, $sserif
  font-size: 100%
  line-height: 1.5
  color: #000

.wrapper
  display: flex
  flex-direction: column
  position: absolute
  top: 0
  left: 0
  width: 100%
  height: 100%
  z-index: 11

.content
  flex: 1 0 auto

.container
  position: relative
  width: 98%
  max-width: $content-size
  margin: 0 auto

.hidden
  display: none

/* remove all animations */
//@media (prefers-reduced-motion: reduce)
//  *
//    animation-duration: 0.01ms !important
//    animation-iteration-count: 1 !important
//    transition-duration: 0.01ms !important
//    scroll-behavior: auto !important

@import './common'
@import './modules/modules'
@import './pages/pages'
@import './sections/sections'
@import './media'

.hero__virtual-tour
  cursor: pointer
  user-select: none